class FollowingState {
  int? activeTabIndex =0;
  int? curPage =0;
  int? pageSize =10;
  int? filterCount =0;
  List<String>? tabsList = ['News', 'Following', 'For You'];
  List<Map<String, dynamic>>? list = [];

  FollowingState({
    this.activeTabIndex,
    this.curPage,
    this.pageSize,
    this.filterCount,
    this.tabsList,
    this.list,
  });

  FollowingState copyWith({
    int? activeTabIndex,
    int? curPage,
    int? pageSize,
    int? filterCount,
    List<String>? tabsList,
    List<Map<String, dynamic>>? list,
  }) {
    return FollowingState(
      activeTabIndex: activeTabIndex ?? this.activeTabIndex,
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      filterCount: filterCount ?? this.filterCount,
      tabsList: tabsList ?? this.tabsList,
      list: list ?? this.list,
    );
  }
}