class NewsfeedDetailState {
  int? curPage;
  int? pageSize;
  int? filterCount;
  Map<String, dynamic> detailInfo;

  NewsfeedDetailState({
    this.curPage,
    this.pageSize,
    this.filterCount,
    required this.detailInfo,
  });

  NewsfeedDetailState copyWith({
    int? curPage,
    int? pageSize,
    int? filterCount,
    Map<String, dynamic>? detailInfo,
  }) {
    return NewsfeedDetailState(
      curPage: curPage ?? this.curPage,
      pageSize: pageSize ?? this.pageSize,
      filterCount: filterCount ?? this.filterCount,
      detailInfo: detailInfo ?? this.detailInfo,
    );
  }
}