import 'package:cpt_facility/modules/detail/facility_detail_page.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:widgets/widget_export.dart';

import 'book_confirm_state.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';

part 'book_confirm_view_model.g.dart';

@riverpod
class BookConfirmViewModel extends _$BookConfirmViewModel {
  @override
  BookConfirmState build() {
    return BookConfirmState();
  }

  //执行支付
  void doPayment(){

    ToastEngine.show("点击了确定");

    FacilityDetailPage.startWithPop2Main();
  }

}
