class RouterPath {
  // 默认的路由
  static const splash = '/';

  static const guide = '/guide'; //指引页面

  //用户
  static const authLogin = '/auth/login'; //用户登录注册
  static const authForgotInput = '/auth/forgot/input'; //忘记密码
  static const authForgotVerify = '/auth/forgot/verify'; //忘记密码校验
  static const authSignUp = '/auth/signup'; //注册
  static const authSignUpVerify = '/auth/signup/verify'; //注册的短信验证
  static const authSignUpSuccess = '/auth/signup/success'; //账号注册成功
  static const authSelectEstate = '/auth/select/estate'; //绑定社区
  static const authSelectUnit = '/auth/select/unit'; //绑定楼栋与房间号
  static const authSelectRole = '/auth/select/role'; //选择角色
  static const authTenantDoc = '/auth/tenant/doc'; //租户的文件上传
  static const authResetPassword = '/auth/rest_psd'; //重置密码

  //首页
  static const main = '/main';
  static const notification = '/notification';
  static const settings = '/settings';
  static const settingsChangeMobile = '/settings/change/mobile';
  static const settingsResetPassword = '/settings/reset/psd';
  static const homePropertyNews = '/home/property/news';
  static const homeLatestNews = '/home/latest/news';
  static const homeManagementGuides = '/home/management/guides';
  static const visitorRegister = '/visitor/register';
  static const feedbackCreate = '/feedback/create';
  static const feedbackCreateSuccess = '/feedback/create/success';
  static const feedbackDetail = '/feedback/detail';

  //用户
  static const profileEdit = '/profile/edit';
  static const profileEstate = '/profile/estate';
  static const profileHousehold = '/profile/household';
  static const profileMyFollow = '/profile/my/follow';
  static const profileMyPost = '/profile/my/post';

  //社区
  static const community = '/community';
  static const newsfeedNews = 'community/newsfeed_news';
  static const newsfeedFollowing = 'community/newsfeed_following';
  static const newsfeedForyou = 'community/newsfeed_foryou';
  static const newsFeedPost = '/newsfeed_post';
  static const newsFeedDetail = '/newsfeed_detail';
  static const newsFeedMyPosts = '/newsfeed_my_posts';

  static const garage = '/garage';
  static const garageForSale = 'garage/garage_for_sale';
  static const garageForRent = 'garage/garage_for_rent';
  static const garageSalePost = '/garage_sale_post';
  static const garageSaleDetail = '/garage_sale_detail';
  static const garageSaleMyPosts = '/garage_sale_my_posts';

  //设施
  static const facility = '/facility';
  static const facilityDetail = '/facility/detail';
  static const facilityBook = '/facility/book';
  static const facilityBookConfirm = '/facility/book/confirm';

  //表单
  static const form = '/form';

  //消息板
  static const noticeBoard = '/notice_board';
  static const announ = 'notice_board/announ';
  static const event = 'notice_board/event';
  static const documents = 'notice_board/documents';
  static const announcementDetail = '/notice_board/announcement_detail';
  static const eventDetail = '/notice_board/event_detail';  
  static const documentsList = '/notice_board/documents_list';
  

  //支付
  static const payment = '/payment';

  //房屋资产
  static const property = '/property';
  static const propertyIoan = 'property/ioan';
  static const propertyNews = 'property/news';
  static const propertySale = 'property/sale';
  static const propertyRent = 'property/rent';
  static const propertyNewsDetail = '/property_news_detail';

  //奖励
  static const rewards = '/rewards';

  //服务广告
  static const services = '/services';

  //全局其他
  static const previewImage = '/preview/image'; //预览图片
  static const globalWeb = '/global/web/:isShowAppBar/:initialUrl/:title'; //全局公用的Web页面

  //Runalone
  static const runAloneMain = '/runalone/main'; //独立运行的入口页面
}
