
import 'package:cs_resources/generated/assets.dart';
import 'package:flutter/cupertino.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:shared/utils/log_utils.dart';

import 'newsfeed_detail_state.dart';
import 'newsfeed_detail_page.dart';

part 'newsfeed_detail_vm.g.dart';

@riverpod
class NewsfeedDetailVm extends _$NewsfeedDetailVm {

   initState() {
    return NewsfeedDetailState(
      curPage: 1,
      pageSize: 10,
      filterCount: 0,
      detailInfo: {
        'id':1,
        'avator': Assets.communityCamera,
        'title': 'William Jefferson',
        'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]',
        'imageUrls': ['https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg','https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg','https://img.alicdn.com/tfs/TB1h.o9O4MPMeJjy1XaXXcSsFXa-640-360.jpg'],
        'time': 'June 17,2016 at 7:23 p.m.',
        'isLike': true,
        'isFollow': false,
        'likeno': 12,
        'commentsInfo': {
          'total': 12,
          'list': [
            {
                'userId': 1,
                'userName': 'William Jefferson',
                'avator': Assets.communityCamera,
                'time': 'June 17,2016 at 7:23 p.m.',
                'content': 'She said YES and our lives changed.Thank you all for coming to my propose today.We hope everyone can ……[More]'
            },
          ]
        }
      },
    );
  }


  @override
  NewsfeedDetailState build(){
     final state = initState();

    // 第一次挂载后
    // WidgetsBinding.instance!.addPostFrameCallback((_) {
    // }

    // Log.d("---------444-----------------build---------------${state.detailInfo}------");
    return state;
  }
}

