// ignore_for_file: constant_identifier_names
// ignore: non_constant_identifier_names
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class AppConstant {
  /// App运行在Release环境时，inProduction为true；当App运行在Debug和Profile环境时，inProduction为false
  static const bool inProduction = kReleaseMode; //本地打包的编译环境是 Debug 还是 Release （自动生成，不需手动修改）

  static const String theme = 'AppTheme';
  static const String locale = 'locale';

  // 本地SP存储key
  static const storageGuideFirst = 'storage_guide_first'; //是否经历过Guide
  static const storageToken = 'storage_token'; //用户的Token
  static const storageNotificationEnable = 'storage_notification_enable'; //应用设置的推送是否开启
  static const storageDeviceUUID = 'storage_device_uuid'; //设备的UUID
  static const storageDarkModel = 'storage_dark_model'; //设备当前配置的模式

  //消息通知Key
  static const eventProfile2Refresh = 'event_profile_refresh'; //通知用户信息需要刷新
  static const eventLabourRequestRefresh = 'event_labour_request_refresh'; //用工请求的列表刷新
  static const eventAppliedListRefresh = 'event_applied_list_refresh'; //已申请的列表刷新

}
